package com.yutou.nas.Services;


import com.yutou.nas.mybatis.model.MusicData;

import java.io.File;
import java.util.List;

public interface IMusicToolsService {
    void init();

    void scanMusic();

    List<MusicData> getPath(String path, boolean isDir,boolean delPath);

    MusicData getMusicDataOfMd5(String md5,boolean isDelFile);
    MusicData getMusicData(String path,boolean isDelFile);

    List<MusicData> findOfTitle(String title,boolean isDelFile);

    List<MusicData> findOfArtist(String by,boolean isDelFile);

    List<MusicData> getMusicList(boolean isDelFile);

    int getLength();

    boolean isScan();

    String getMusicPath();

    byte[] readImage(String path) throws Exception;

    File getMusicOfMd5(String md5,boolean isDelFile);
}
